# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Apr 18 05:14:27 2023
# ------------------------------------------------

package:
  name: meme
  version: 5.5.2
source:
  sha256: 340644438dac7584895ecffafa8c1fb7de57c705a34045c1ea1bde785bab05a3
  url: https://meme-suite.org/meme/meme-software/5.5.2/meme-5.5.2.tar.gz
build:
  detect_binary_files_with_prefix: true
  number: '0'
  string: py38pl5321h52cfca7_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_12
    - ca-certificates 2022.12.7 ha878542_0
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_12
    - icu 70.1 h27087fc_0
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - make 4.3 hd18ef5c_1
    - nodejs 18.15.0 h8d033a5_0
    - openssl 3.1.0 h0b41bf4_0
    - sysroot_linux-64 2.12 he073ed8_15
    - zlib 1.2.13 h166bdaf_4
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.12.7 ha878542_0
    - expat 2.5.0 hcb278e6_1
    - ghostscript 9.54.0 h27087fc_2
    - icu 69.1 h9c3ff4c_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgfortran-ng 12.2.0 h69a702a_19
    - libgfortran5 12.2.0 h337968e_19
    - libgomp 12.2.0 h65d4601_19
    - libiconv 1.17 h166bdaf_0
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_0
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.38.1 h0b41bf4_0
    - libxml2 2.9.14 haae042b_4
    - libxslt 1.1.33 h0ef7038_3
    - libzlib 1.2.13 h166bdaf_4
    - mpi 1.0 openmpi
    - ncurses 6.3 h27087fc_1
    - openmpi 4.1.5 h414af15_101
    - openssl 3.1.0 h0b41bf4_0
    - perl 5.32.1 2_h7f98852_perl5
    - perl-app-cpanminus 1.7046 pl5321hd8ed1ab_0
    - perl-base 2.23 pl5321hd8ed1ab_0
    - perl-business-isbn 3.007 pl5321hd8ed1ab_0
    - perl-business-isbn-data 20210112.006 pl5321hd8ed1ab_0
    - perl-carp 1.50 pl5321hd8ed1ab_0
    - perl-cgi 4.56 pl5321hec16e2b_0
    - perl-common-sense 3.75 pl5321hd8ed1ab_0
    - perl-compress-raw-zlib 2.202 pl5321h166bdaf_0
    - perl-config-general 2.65 pl5321hdfd78af_0
    - perl-constant 1.33 pl5321hd8ed1ab_0
    - perl-data-dumper 2.183 pl5321h166bdaf_0
    - perl-dbi 1.643 pl5321h166bdaf_0
    - perl-digest-md5 2.58 pl5321h166bdaf_0
    - perl-encode 3.19 pl5321h166bdaf_0
    - perl-encode-locale 1.05 pl5321hdfd78af_7
    - perl-exporter 5.74 pl5321hd8ed1ab_0
    - perl-extutils-makemaker 7.70 pl5321hd8ed1ab_0
    - perl-file-path 2.18 pl5321hd8ed1ab_0
    - perl-file-spec 3.48_01 pl5321hdfd78af_2
    - perl-file-temp 0.2304 pl5321hd8ed1ab_0
    - perl-file-which 1.24 pl5321hd8ed1ab_0
    - perl-html-parser 3.81 pl5321h9f5acd7_0
    - perl-html-tagset 3.20 pl5321hdfd78af_4
    - perl-html-template 2.97 pl5321hdfd78af_2
    - perl-html-tree 5.07 pl5321hdfd78af_2
    - perl-http-date 6.05 pl5321hdfd78af_0
    - perl-http-message 6.36 pl5321hdfd78af_0
    - perl-inc-latest 0.500 pl5321ha770c72_0
    - perl-io-html 1.004 pl5321hdfd78af_0
    - perl-json 4.10 pl5321hdfd78af_0
    - perl-json-xs 2.34 pl5321h9f5acd7_5
    - perl-log-log4perl 1.56 pl5321hd8ed1ab_0
    - perl-lwp-mediatypes 6.04 pl5321hdfd78af_1
    - perl-math-cdf 0.1 pl5321hec16e2b_7
    - perl-mime-base64 3.16 pl5321h166bdaf_0
    - perl-module-build 0.4232 pl5321ha770c72_0
    - perl-parent 0.241 pl5321hd8ed1ab_0
    - perl-pathtools 3.75 pl5321h166bdaf_0
    - perl-scalar-list-utils 1.63 pl5321h166bdaf_0
    - perl-storable 3.15 pl5321h166bdaf_0
    - perl-sys-info 0.7811 pl5321hdfd78af_1
    - perl-sys-info-base 0.7807 pl5321hdfd78af_1
    - perl-sys-info-driver-linux 0.7905 pl5321hdfd78af_1
    - perl-test-nowarnings 1.06 pl5321ha770c72_0
    - perl-text-template-simple 0.91 pl5321hdfd78af_1
    - perl-time-local 1.30 pl5321hdfd78af_0
    - perl-timedate 2.33 pl5321hdfd78af_2
    - perl-types-serialiser 1.01 pl5321hdfd78af_0
    - perl-unix-processors 2.046 pl5321h7f98852_1001
    - perl-uri 5.12 pl5321hdfd78af_0
    - perl-url-encode 0.03 pl5321h9ee0642_0
    - perl-xml-namespacesupport 1.12 pl5321hd8ed1ab_0
    - perl-xml-parser 2.44_01 pl5321hc3e0081_1003
    - perl-xml-sax 1.02 pl5321hd8ed1ab_0
    - perl-xml-sax-base 1.09 pl5321hd8ed1ab_0
    - perl-xml-sax-expat 0.51 pl5321hd8ed1ab_0
    - perl-xml-simple 2.25 pl5321hdfd78af_2
    - perl-yaml 1.30 pl5321hdfd78af_0
    - pip 23.1 pyhd8ed1ab_0
    - python 3.8.16 he550d4f_1_cpython
    - readline 8.2 h8228510_1
    - setuptools 67.6.1 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - yaml 0.2.5 h7f98852_2
    - zlib 1.2.13 h166bdaf_4
  run:
    - expat
    - ghostscript
    - icu >=69.1,<70.0a0
    - libexpat >=2.5.0,<3.0a0
    - libgcc-ng >=12
    - libxml2 >=2.9.14,<2.10.0a0
    - libxml2 >=2.9.14,<2.10.0a0
    - libxslt >=1.1.33,<2.0a0
    - libzlib >=1.2.13,<1.3.0a0
    - openmpi >=4.1.5,<5.0a0
    - perl >=5.32.1,<5.33.0a0 *_perl5
    - perl-cgi
    - perl-file-which
    - perl-html-parser
    - perl-html-template
    - perl-html-tree
    - perl-json
    - perl-log-log4perl
    - perl-math-cdf
    - perl-module-build =0.4232
    - perl-sys-info
    - perl-xml-parser
    - perl-xml-simple
    - perl-yaml
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - xz >=5.2.6,<5.3.0a0
    - yaml >=0.2.5,<0.3.0a0
test:
  commands:
    - meme -version
    - streme -version
    - xstreme -version
    - meme-chip -version
    - glam2 -version
    - tomtom -version
    - centrimo -version
    - ame 2>&1 | grep -i usage
    - spamo -version
    - gomo -version
    - fimo -version
    - mast -version
    - mcast -version
    - glam2scan -version
    - momo simple -version
    - getsize -version
    - dreme -version
about:
  home: https://meme-suite.org
  license: Custom
  license_file: COPYING
  summary: Motif-based sequence analysis tools
extra:
  container:
    extended-base: true
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:meme_suite
    - usegalaxy-eu:meme_dreme
